/*
 * Copyright Red Hat, Inc. and/or its affiliates
 * and other contributors as indicated by the @author tags and
 * the COPYRIGHT.txt file distributed with this work.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.teiid.client.util;

import java.util.concurrent.TimeUnit;
import java.util.concurrent.TimeoutException;

import org.teiid.client.util.ResultsFuture;

import junit.framework.TestCase;

public class TestResultsFuture extends TestCase {

    public void testGet() throws Exception {
        ResultsFuture<Object> future = new ResultsFuture<Object>();
        try {
            future.get(-1, TimeUnit.MILLISECONDS);
            fail("expected timeout exception"); //$NON-NLS-1$
        } catch (TimeoutException e) {

        }
        future.getResultsReceiver().receiveResults(new Object());

        assertNotNull(future.get(-1, TimeUnit.MILLISECONDS));
    }

}
